import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ServiceLineStatusSchema } from '../enums/ServiceLineStatus.schema';
import { NestedEnumServiceLineStatusFilterObjectSchema as NestedEnumServiceLineStatusFilterObjectSchema } from './NestedEnumServiceLineStatusFilter.schema'

const makeSchema = () => z.object({
  equals: ServiceLineStatusSchema.optional(),
  in: ServiceLineStatusSchema.array().optional(),
  notIn: ServiceLineStatusSchema.array().optional(),
  not: z.union([ServiceLineStatusSchema, z.lazy(() => NestedEnumServiceLineStatusFilterObjectSchema)]).optional()
}).strict();
export const EnumServiceLineStatusFilterObjectSchema: z.ZodType<Prisma.EnumServiceLineStatusFilter> = makeSchema() as unknown as z.ZodType<Prisma.EnumServiceLineStatusFilter>;
export const EnumServiceLineStatusFilterObjectZodSchema = makeSchema();
